Bug 449221 - Nautilus can't add 2nd monitor
Nautilus can't add 2nd monitor
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 11:05 EDT by zephod
Modified: 2018-04-11 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2008-06-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 17:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (980 bytes, text/plain)
2008-06-10 08:40 EDT, zephod
no flags Details
Xorg.0.log (11.79 KB, text/plain)
2008-06-10 08:45 EDT, zephod
no flags Details
xorg.conf that I was using under F7 (2.75 KB, text/plain)
2008-06-10 08:48 EDT, zephod
no flags Details
Best xorg.conf in f9 (2.43 KB, text/plain)
2008-06-10 08:55 EDT, zephod
no flags Details

  None (edit)
Description zephod 2008-05-31 11:05:49 EDT
Description of problem:
2nd monitor is dual monitor system does not work

Version-Release number of selected component (if applicable):
nautilus-2.22.2-7.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Log in
2.
3.
  
Actual results:
2nd monitor displays random flashing screen

Expected results:


Additional info:
I think the root cause is an X server problem but
the .xsession-errors files contains the following indicating that nautilus can't
add the 2nd monitor.

SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/10122,unix/unix:/tmp/.ICE-unix/10122
Window manager warning: Failed to read saved session file
/home/sblackwell/.metacity/sessions/default1.ms: Failed to open file
'/home/sblackwell/.metacity/sessions/default1.ms': No such file or directory
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files

** (nm-applet:10396): WARNING **: nm_object_get_property: Error getting
'WirelessHardwareEnabled' for /org/freedesktop/NetworkManager: The name
org.freedesktop.NetworkManager was not provided by any .service files


** (nm-applet:10396): WARNING **: nm_object_get_property: Error getting
'ActiveConnections' for /org/freedesktop/NetworkManager: The name
org.freedesktop.NetworkManager was not provided by any .service files


** (nautilus:10347): WARNING **: Unable to add monitor: Not supported
Comment 1 Tomáš Bžatek 2008-06-05 07:59:02 EDT
The "monitor" here is meant directory monitor, not physical screen.

Reassigning to xorg
Comment 2 Matěj Cepl 2008-06-06 12:17:36 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 zephod 2008-06-10 08:40:08 EDT
Created attachment 308804 [details]
xorg.conf

This xorg.conf was generated by running system-config-display from a text
console. Note that the 2nd monitor is not seen at all.
Comment 4 zephod 2008-06-10 08:45:54 EDT
Created attachment 308805 [details]
Xorg.0.log

Note that the 2nd monitor is deteced at line 178.
Comment 5 zephod 2008-06-10 08:48:26 EDT
Created attachment 308807 [details]
xorg.conf that I was using under F7

This file is the xorg.conf file that I was using in F7. The dual monitor setup
worked OK then. Now, if I use this same file, the 2nd monitor has a random
pattern on it and is not useable.
Comment 6 zephod 2008-06-10 08:55:38 EDT
Created attachment 308808 [details]
Best xorg.conf in f9

This is the best I can do in f9. When I use this file, GDM correctly spans both
displays when I boot up. However when I log in, a blank box (no content, grey
background, no window decorations) appears in the top left corner of the left
screen, the sceen is slighly too big such that the top and bottom menu bars are
90% off the screen and the screen is locked - the mouse moves but mouse clicks
have no response and the keyboard doesn't appear to do anything. The 2nd
monitor displays a random screen. Ctrl-Alt-Fx doesn't work. The only way out is
to reboot.
Comment 7 zephod 2008-06-10 16:58:55 EDT
Hmmm... updates from this morning seem to have fixed the problem.

from yum.log:

Jun 10 08:34:20 Updated: gtk2-2.12.10-2.fc9.x86_64
Jun 10 08:34:21 Updated: dbus-glib-0.74-8.fc9.x86_64
Jun 10 08:34:25 Updated: gnome-desktop-2.22.2-1.fc9.x86_64
Jun 10 08:34:26 Updated: libtalloc-1.2.0-15.fc9.x86_64
Jun 10 08:34:26 Updated: libtdb-1.1.1-15.fc9.x86_64
Jun 10 08:34:27 Updated: gnome-panel-libs-2.22.2-1.fc9.x86_64
Jun 10 08:34:28 Updated: nautilus-extensions-2.22.3-1.fc9.x86_64
Jun 10 08:34:29 Updated: libgtop2-2.22.2-1.fc9.x86_64
Jun 10 08:34:31 Updated: eel2-2.22.2-1.fc9.x86_64
Jun 10 08:34:35 Updated: netpbm-10.35.45-1.fc9.x86_64
Jun 10 08:34:55 Updated: libgweather-2.22.2-1.fc9.x86_64
Jun 10 08:35:11 Updated: gnome-settings-daemon-2.22.2.1-1.fc9.x86_64
Jun 10 08:35:22 Updated: gstreamer-plugins-good-0.10.8-5.fc9.x86_64
Jun 10 08:35:48 Updated: evince-2.22.2-1.fc9.x86_64
Jun 10 08:35:51 Updated: libdc1394-2.0.2-1.fc9.x86_64
Jun 10 08:35:51 Updated: xorg-x11-drv-openchrome-0.2.902-7.fc9.x86_64
Jun 10 08:35:59 Updated: wine-core-1.0-0.3.rc3.fc9.i386
Jun 10 08:36:05 Updated: gtk2-2.12.10-2.fc9.i386
Jun 10 08:36:14 Updated: gtk2-devel-2.12.10-2.fc9.i386
Jun 10 08:36:17 Updated: gnome-desktop-2.22.2-1.fc9.i386
Jun 10 08:36:22 Updated: eel2-2.22.2-1.fc9.i386
Jun 10 08:36:22 Updated: gnome-panel-libs-2.22.2-1.fc9.i386
Jun 10 08:36:23 Updated: dbus-glib-0.74-8.fc9.i386
Jun 10 08:36:23 Updated: nautilus-extensions-2.22.3-1.fc9.i386
Jun 10 08:36:26 Updated: netpbm-10.35.45-1.fc9.i386
Jun 10 08:36:27 Updated: libgtop2-2.22.2-1.fc9.i386
Jun 10 08:36:44 Updated: gnome-panel-2.22.2-1.fc9.x86_64
Jun 10 08:37:04 Updated: 1:gnome-applets-2.22.2-1.fc9.x86_64
Jun 10 08:37:21 Updated: nautilus-2.22.3-1.fc9.x86_64
Jun 10 08:37:28 Updated: netpbm-progs-10.35.45-1.fc9.x86_64
Jun 10 08:37:41 Updated: gnome-system-monitor-2.22.2-1.fc9.x86_64
Jun 10 08:37:54 Updated: file-roller-2.22.3-1.fc9.x86_64
Jun 10 08:38:07 Updated: eog-2.22.2-1.fc9.x86_64
Jun 10 08:38:28 Updated: epiphany-2.22.2-1.fc9.x86_64
Jun 10 08:38:40 Updated: vino-2.22.2-1.fc9.x86_64
Jun 10 08:38:51 Updated: gcalctool-5.22.2-1.fc9.x86_64
Jun 10 08:39:05 Updated: gnome-terminal-2.22.2-1.fc9.x86_64
Jun 10 08:39:15 Updated: gtk2-devel-2.12.10-2.fc9.x86_64
Jun 10 08:39:31 Updated: 1:gedit-2.22.3-1.fc9.x86_64
Jun 10 08:39:34 Updated: gtk2-engines-2.14.2-1.fc9.x86_64
Jun 10 08:40:00 Updated: 1:gnome-games-2.22.2.1-1.fc9.x86_64
Jun 10 08:40:04 Updated: 1:doxygen-1.5.6-2.fc9.x86_64
Jun 10 08:40:05 Updated: 1:control-center-filesystem-2.22.2.1-1.fc9.x86_64
Jun 10 08:40:20 Updated: 1:control-center-2.22.2.1-1.fc9.x86_64
Jun 10 08:40:25 Updated: libgtop2-devel-2.22.2-1.fc9.i386
Jun 10 08:40:26 Updated: netpbm-devel-10.35.45-1.fc9.i386
Jun 10 08:40:27 Updated: dbus-glib-devel-0.74-8.fc9.x86_64
Jun 10 08:40:28 Updated: gnome-panel-devel-2.22.2-1.fc9.i386
Jun 10 08:40:31 Updated: gnome-panel-devel-2.22.2-1.fc9.x86_64
Jun 10 08:40:31 Updated: eel2-devel-2.22.2-1.fc9.x86_64
Jun 10 08:40:32 Updated: eel2-devel-2.22.2-1.fc9.i386
Jun 10 08:40:33 Updated: gnome-desktop-devel-2.22.2-1.fc9.i386
Jun 10 08:40:33 Updated: gnome-desktop-devel-2.22.2-1.fc9.x86_64
Jun 10 08:40:34 Updated: netpbm-devel-10.35.45-1.fc9.x86_64
Jun 10 08:40:35 Updated: libgtop2-devel-2.22.2-1.fc9.x86_64
Jun 10 08:40:35 Updated: fedora-gnome-theme-8.0.0-2.fc9.noarch
Jun 10 08:40:43 Updated: gnome-user-docs-2.22.1-1.fc9.noarch
Jun 10 08:40:44 Updated: wine-docs-1.0-0.3.rc3.fc9.noarch
Jun 10 08:40:58 Updated: 1:control-center-2.22.2.1-1.fc9.i386
Jun 10 08:41:01 Updated: wine-ldap-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:02 Updated: wine-esd-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:02 Updated: wine-cms-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:03 Updated: wine-nas-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:03 Updated: wine-jack-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:04 Updated: wine-tools-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:05 Updated: wine-capi-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:05 Updated: wine-twain-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:06 Updated: gtk2-engines-2.14.2-1.fc9.i386
Jun 10 08:41:07 Updated: wine-1.0-0.3.rc3.fc9.i386
Jun 10 08:41:13 Updated: samba-winbind-3.2.0-1.rc1.15.fc9.x86_64
Jun 10 08:41:17 Updated: samba-common-3.2.0-1.rc1.15.fc9.x86_64
Jun 10 08:41:20 Updated: samba-3.2.0-1.rc1.15.fc9.x86_64
Jun 10 08:41:21 Updated: libsmbclient-3.2.0-1.rc1.15.fc9.x86_64
Jun 10 08:41:23 Updated: samba-client-3.2.0-1.rc1.15.fc9.x86_64


Comment 8 Matěj Cepl 2008-06-10 17:59:43 EDT
Cool, thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.